// Copyright 2007, Google Inc.
//
// Redistribution and use in source and binary forms, with or without 
// modification, are permitted provided that the following conditions are met:
//
//  1. Redistributions of source code must retain the above copyright notice, 
//     this list of conditions and the following disclaimer.
//  2. Redistributions in binary form must reproduce the above copyright notice,
//     this list of conditions and the following disclaimer in the documentation
//     and/or other materials provided with the distribution.
//  3. Neither the name of Google Inc. nor the names of its contributors may be
//     used to endorse or promote products derived from this software without
//     specific prior written permission.
//
// THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
// WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF 
// MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
// EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, 
// SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
// PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
// OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
// WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR 
// OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF 
// ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

google.gears.workerPool.onmessage = function(messageText, senderId, message) {
  google.gears.workerPool.sendMessage(wpDB(message.body), senderId);
};

function wpDB(n) {
  	var groupList = '';
	var db = google.gears.factory.create('beta.database');
	db.open('cloudosys');
	
	db.execute('delete from Files');
	//Update db with JSON string; This process takes a while so send to Worker Pool
  	for( w = 0; w < n.list.length; w++ ){	
  		id = n.list[w].id;
		name = n.list[w].name;
		panel = n.list[w].panel;
		link = n.list[w].link;
		hash = n.list[w].hash;
		group = n.list[w].group;
		var currTime = new Date().getTime();
		db.execute('insert into Files values (?, ?, ?, ?, ?, ?, ?)', [id, name, link, panel, currTime, hash, group]);
	}
	/*	var rs = db.execute('select * from Files');
		while (rs.isValidRow()) {
			_id_ = rs.field(0);
			_name = rs.field(1);
			_hash = rs.field(5);
			if(_hash == _hash_){
				groupList += _name+','+_id_+':';
			}
			rs.next();
		}
		rs.close();*/
		
  	//return JSONLinkList.list[3].id;
}